package com.boco.nbd.wios.export.impl;

import com.boco.nbd.wios.export.Export;
import com.boco.nbd.wios.manage.entity.bo.SupplierBo;
import com.boco.nbd.wios.manage.entity.bo.SupplierVo;
import com.boco.nbd.wios.manage.entity.bo.WallboxApply;
import com.boco.nbd.wios.manage.entity.vo.WallboxApplyInstallListVO;
import com.boco.nbd.wios.manage.mapper.def.WallboxApplyMapper;
import com.boco.nbd.wios.manage.service.impl.SupplierService;
import com.fasterxml.jackson.databind.DeserializationFeature;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 辅材导出WallboxApplyInstallListVO
 * 
 * @author
 * @version
 */
@Service
public class WallBoxExport implements Export<WallboxApplyInstallListVO> {

    @Autowired
    private WallboxApplyMapper wallboxApplyMapper;
    
    @Override
    public List<WallboxApplyInstallListVO> getExportList(String json) throws Exception {
        ObjectMapper mapper = new ObjectMapper();
        mapper.configure(DeserializationFeature.FAIL_ON_UNKNOWN_PROPERTIES, false);
        WallboxApply condition = mapper.readValue(json, WallboxApply.class);
        List<WallboxApplyInstallListVO> list =
                wallboxApplyMapper.selectWallboxApplyListFromOrder(condition);
        Long no = 1L;
        for (WallboxApplyInstallListVO vo : list) {
            vo.setId(no++);
        }
        return list;
    }
    
}
